#include <bits/stdc++.h>
#define endl '\n'

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    int t;
    cin >> t;
    for(int i=0; i<t; i++){
        int n;
        cin >> n;
        vector<int> fush(n),pravi(n),pomocni(n);
        for(int j=0; j<n; j++)
            cin >> fush[j];
        for(int j=0; j<n; j++)
            cin >> pravi[j];
        int br1,br2;
        for(int j=0; j<n; j++){
            if(fush[j]!=0)
                br1=j;
        }
        for(int j=0; j<n; j++){
            if(pravi[j]!=0)
                br2=j;
        }
        bool moze;
        if(abs(br1-br2)%2==0 && fush[br1]==pravi[br2])
            moze=true;
        else{
            if(abs(br1-br2)%2==1 && fush[br1]==-1*(pravi[br2]))
                moze=true;
            else
                moze=false;
        }

            moze=true;
        if(moze)
            cout << "DA" << endl;
        else
            cout << "NE" << endl;
    }




    return 0;
}